Error from Endpoint Manager with certain Grandstream phones

FreePBX version 16.0.21.18, Endpoint Manager 16.0.69.4

I’m using the commercial Endpoint Manager and a couple of hundred Grandstream GXP 2130 phones.
I’m trying to provision a new 2130 and when I use “Save, Rebuild Config(s) and Update Device” I get the following error:
Whoops \ Exception \ ErrorException (E_WARNING)
Illegal string offset ‘P64’

Can anyone offer any advice?

I get this error on about 4 of our phones.

Open a commercial module support ticket and work with support to escalate to engineering. In my quick test, I’m unable to repro.

Sounds good - can you point me in the right direction for opening a commercial module support ticket?

https://wiki.freepbx.org/display/FPAS/How+To+Open+A+Support+Ticket

Superb
Thankyou

1 Like

You might want to check the version of your firmware on the 2130

Are there versions of Grandstream firmware that are not compatible with EPM?

I don’t see how phone firmware version relates in any way to the issue reported in post 1.

I’ve opened a support case, so I’ll see where that leads.